%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:           mingw32-atk
Version:        2.2.0
Release:        1%{?dist}
Summary:        MinGW Windows Atk library

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://projects.gnome.org/accessibility/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/atk/2.2/atk-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 49
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-glib2
BuildRequires:  pkgconfig
# Need native one too for msgfmt
BuildRequires:  gettext
# Need native one too for  glib-genmarshal
BuildRequires:  glib2-devel

Requires:       pkgconfig


%description
MinGW Windows Atk library.


%package static
Summary:        Static version of the MinGW Windows Atk library
Requires:       %{name} = %{version}-%{release}
Group:          Development/Libraries

%description static
Static version of the MinGW Windows Atk library.


%{?_mingw32_debug_package}


%prep
%setup -q -n atk-%{version}


%build
%{_mingw32_configure} --enable-static --enable-shared
make %{?_smp_mflags}


%install
make DESTDIR=$RPM_BUILD_ROOT install

# Native Fedora package removes this file, so we do the same.
rm -f $RPM_BUILD_ROOT/%{_mingw32_libdir}/charset.alias

# Documentation duplicates what is in the native Fedora package.
rm -rf $RPM_BUILD_ROOT/%{_mingw32_datadir}/gtk-doc

# Remove this file, only used while creating the DLL.
# See: https://bugzilla.redhat.com/show_bug.cgi?id=467409#c8
rm $RPM_BUILD_ROOT%{_mingw32_libdir}/atk-1.0.def

%find_lang atk10


%files -f atk10.lang
%doc COPYING
%{_mingw32_bindir}/libatk-1.0-0.dll
%{_mingw32_includedir}/atk-1.0
%{_mingw32_libdir}/libatk-1.0.dll.a
%{_mingw32_libdir}/libatk-1.0.la
%{_mingw32_libdir}/pkgconfig/atk.pc

%files static
%{_mingw32_libdir}/libatk-1.0.a

  
%changelog
* Fri Sep 30 2011 Kalev Lember <kalevlember@gmail.com> - 2.2.0-1
- Update to 2.2.0

* Tue Aug 30 2011 Kalev Lember <kalevlember@gmail.com> - 2.1.5-1
- Update to 2.1.5

* Sun Jul 10 2011 Kalev Lember <kalevlember@gmail.com> - 2.0.1-1
- Update to 2.0.1
- Switched to xz compressed tarballs
- Use automatic mingw dep extraction
- Cleaned up the spec file for modern rpmbuild
- Dropped upstreamed AtkHyperlinkImpl patch

* Wed Jul 06 2011 Kalev Lember <kalevlember@gmail.com> - 1.32.0-6
- Rebuilt against win-iconv

* Wed Apr 27 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.32.0-5
- Dropped the proxy-libintl pieces

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.32.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 14 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.32.0-3
- Export the AtkHyperlinkImpl functions (required for webkitgtk)

* Sun Nov  7 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.32.0-2
- Rebuild in order to have soft dependency on libintl

* Mon Oct 11 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.32.0-1
- Update to 1.32.0
- Drop upstreamed patch

* Sun Sep 12 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.30.0-2
- Export the function atk_value_get_minimum_increment (required by GTK 2.21.7)

* Sun Sep 12 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.30.0-1
- Update to 1.30.0

* Wed Dec  2 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.29.3-1
- Update to 1.29.3

* Thu Aug 13 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.27.90-1
- Update to 1.27.90
- Automatically generate debuginfo subpackage

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.26.0-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 10 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.26.0-1
- Update to 1.26.0
- Use %%global instead of %%define

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.25.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Erik van Pienbroek <info@nntpgrab.nl> - 1.25.2-7
- Added -static subpackage
- Rebuild for mingw32-gcc 4.4

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 1.25.2-5
- Include license file.

* Fri Jan 30 2009 Richard W.M. Jones <rjones@redhat.com> - 1.25.2-4
- Remove gtk-doc.
- Fix defattr line.
- Requires pkgconfig.
- Remove the atk*.def file.

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 1.25.2-1
- Rebase to latest Fedora native version 1.25.2.
- Use find_lang macro.
- Use smp_mflags.
- Fix URL.
- Fix Source URL.

* Wed Sep 24 2008 Daniel P. Berrange <berrange@redhat.com> - 1.24.0-2
- Rename mingw -> mingw32.

* Mon Sep 22 2008 Daniel P. Berrange <berrange@redhat.com> - 1.24.0-1
- Update to 1.24.0 release

* Thu Sep 11 2008 Daniel P. Berrange <berrange@redhat.com> - 1.23.5-2
- Added dep on pkgconfig and glib2-devel (native)

* Tue Sep  9 2008 Daniel P. Berrange <berrange@redhat.com> - 1.23.5-1
- Initial RPM release
